Page MenuHomePhabricator

share-safe: enable by default (BC)
ClosedPublic

Authored by marmoute on Jan 12 2022, 9:09 AM.

Details

Summary

The feature have been around for a year (4 version) and is quite important.

Lets make it enabled by default.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jan 12 2022, 9:09 AM
Alphare requested changes to this revision.Jan 17 2022, 8:58 AM
Alphare added a subscriber: Alphare.

The change itself is a good idea, aside from my inline comments

relnotes/next
9

repositories more consistent across repositories? I'm not 100% sure what the original intention was

11

What this the intended meaning (+typos)? "This introduces a behavior change as shares from repositories using the new variant will also use their main repository's configuration"

This revision now requires changes to proceed.Jan 17 2022, 8:58 AM
marmoute updated this revision to Diff 31791.Jan 24 2022, 9:53 AM
Alphare requested changes to this revision.Jan 24 2022, 11:28 AM
Alphare added inline comments.
relnotes/next
10

s/consitenty/consistent/

11

This appears to not be done

This revision now requires changes to proceed.Jan 24 2022, 11:28 AM
marmoute added inline comments.Jan 24 2022, 11:51 AM
relnotes/next
9

should be "requirements more consistent" updating.

11

I did adjust the sentence to make it clearer. I am not sure what wrong with it.

Alphare added inline comments.Jan 24 2022, 11:53 AM
relnotes/next
11

"This introduce a behavior changes as shares from repository using the
new format will also use their main repository's configuration." -> "This introduces a behavior change as shares from repositories using the
new format will also use their main repository's configuration."

Our messages crossed, we should now be good with this change

baymax updated this revision to Diff 31899.Jan 24 2022, 1:22 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Jan 25 2022, 4:06 AM
Alphare added inline comments.
relnotes/next
26

means* (I'll amend it on-the-fly, this is just so I don't forget)

This revision is now accepted and ready to land.Jan 25 2022, 4:06 AM
This revision was automatically updated to reflect the committed changes.